#Navigate to the directory 'data' that contains the original trajectories (in subdirectory 'input') and will hold the simplified trajectories (in subdirectory 'output'):

cd data/

# Compile the code with the Java compiler (and ignore a possible note regarding unchecked operations):

javac ../code/algorithms/Interval/Interval.java

# Test the executable against an input CSV file holding the AIS positions of a vessel trajectory.
# Parameter signifies angular tolerance for error (in radians). In this example, 0.1745 radians signify a tolerance of 10 degrees
# The resulting simplified trajectory will be stored into file 'interval207138000.csv'.

java -cp ../code/algorithms/Interval/ Interval input/207138000.csv output/interval207138000.csv 0.1745

# Use a Python script to estimate RMSE error between the original and the simplified trajectory (both available as .csv files)

python ./../code/utilities/EstimateRMSE.py input/207138000.csv output/interval207138000.csv
